using ControlSystems
using Plots

pyplot()

κ = 0.3
f_0 = 10 # Hz
T_e = 0.01 # s
duration = 2 # s

z = tf("z", T_e)
p = tf("s")
ω = 2*pi*f_0

H = 1 / (1 + 2*κ/ω*p + (p/ω)^2)
H_d = 1 / (1 + 2*κ/(T_e*ω) + 1/(T_e*κ)^2 - 2/(T_e*ω)*(κ+1/(T_e*κ))*z^-1 + 1/(T_e*κ)^2*z^-2)
stepplot(H, 1, 0.001, label="f_0=10Hz")
stepplot(H_d)


#k = 1 / (2 * pi * T_e * f_0)
#
## Returns y[i]
#sys(x,y,i) = 1/(1+2*κ*k+κ^2) * (x + 2*κ*(k + κ)*y[i-1] - κ^2*y[i-2])
#
#t = 0:T_e:duration
#y = zeros(length(t))
#
#for i in 3:length(t)
#    y[i] = sys(1,y,i)
#end
#plot(t,y)
#
